Public Class ClassMoreMetadata
    Public Shared Function Return_CURRENT_TBPMO_INDEX_MAN_VALUE(CONTROL_GUID As Integer, COL_NAME As String)
        Try
            ' Presuming the DataTable has a column named ENTITY_ID and TYPE_NODE.
            Dim expression As String
            expression = "GUID = " & CONTROL_GUID
            Dim foundRowsLevel0() As DataRow
            ' Use the Select method to find all rows matching the filter.
            foundRowsLevel0 = CURRENT_TBPMO_INDEX_MAN.Select(expression)
            Dim i As Integer
            ' For each row create a Node
            For i = 0 To foundRowsLevel0.GetUpperBound(0)
                Return foundRowsLevel0(i)(COL_NAME)
            Next
        Catch ex As Exception
            LOGGER.Warn(" - Unvorhergesehener Fehler in Return_CURRENT_TBPMO_INDEX_MAN_VALUE - Fehler: " & vbNewLine & ex.Message)
            Return Nothing
        End Try
    End Function
End Class
